using System;
using System.Drawing;

namespace MyEditor
{
	// marked as Serializable so that I can use
	// binary serializer to save options.
	[Serializable]
	public class EditorOptions
	{
		private Color backColor;
		private Color foreColor;
		private string poop = "xyzzy";

		public string Poop
		{
			get { return poop; }
			set { poop = value; }
		}

		public int xyzzy = 77;

		public EditorOptions()
		{
			//
			// TODO: Add constructor logic here
			//
		}

		public Color BackColor
		{
			get { return backColor; }
			set { backColor = value; }
		}

		public Color ForeColor
		{
			get { return foreColor; }
			set { foreColor = value; }
		}
	}
}
